import type { Generic } from 'adopted-style-sheets';
import type { IconsHorizontalPropType } from '../../../schema';
import { InputController } from './controller';
import type { Props, Watches } from './types-icon';
export declare class InputIconController extends InputController implements Watches {
    protected readonly component: Generic.Element.Component & Props;
    constructor(component: Generic.Element.Component & Props, name: string, host?: HTMLElement);
    validateIcons(value?: IconsHorizontalPropType): void;
    componentWillLoad(): void;
}
